"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProviderContextProvider = exports.ProviderContext = void 0;
const anchor_1 = require("@coral-xyz/anchor");
const wallet_adapter_react_1 = require("@solana/wallet-adapter-react");
const react_1 = __importDefault(require("react"));
exports.ProviderContext = react_1.default.createContext({
    awaitingApproval: false,
});
const ProviderContextProvider = ({ children }) => {
    const { connection } = (0, wallet_adapter_react_1.useConnection)();
    const [awaitingApproval, setAwaitingApproval] = react_1.default.useState(false);
    const wallet = (0, wallet_adapter_react_1.useAnchorWallet)();
    // @ts-ignore
    const provider = new anchor_1.AnchorProvider(connection, wallet, {});
    return (react_1.default.createElement(exports.ProviderContext.Provider, { value: { awaitingApproval, provider } }, children));
};
exports.ProviderContextProvider = ProviderContextProvider;
//# sourceMappingURL=providerContext.js.map